پرش به محتوا

مدیاویکی:Common.css: تفاوت میان نسخه‌ها

از ویکی ایران
بدون خلاصۀ ویرایش
بدون خلاصۀ ویرایش
 
(۴۸ نسخهٔ میانیِ ایجادشده توسط همین کاربر نشان داده نشد)
خط ۱: خط ۱:
/* دستورات این بخش همهٔ کاربران را تحت تاثیر قرار می‌دهند. */
/* دستورات این بخش همهٔ کاربران را تحت تاثیر قرار می‌دهند. */
@font-face {
@font-face {
  font-family: vazir;
    font-family: vazir;
  src: url('/fonts/Vazir-FD.woff2') format('woff2');
    src: url('/fonts/Vazir-FD.woff2') format('woff2');
  font-weight: 400;
    font-weight: 400;
}
}


@font-face {
@font-face {
  font-family: vazir;
    font-family: vazir;
  src: url('/fonts/Vazir-Medium-FD.woff2') format('woff2');
    src: url('/fonts/Vazir-Medium-FD.woff2') format('woff2');
  font-weight: 600;
    font-weight: 600;
}
}


@font-face {
@font-face {
  font-family: vazir;
    font-family: vazir;
  src: url('/fonts/Vazir-Bold-FD.woff2') format('woff2');
    src: url('/fonts/Vazir-Bold-FD.woff2') format('woff2');
  font-weight: 700;
    font-weight: 700;
}
}


@font-face {
@font-face {
  font-family: vazir;
    font-family: vazir;
  src: url('/fonts/Vazir-Black-FD.woff2') format('woff2');
    src: url('/fonts/Vazir-Black-FD.woff2') format('woff2');
  font-weight: 900;
    font-weight: 900;
}
}


@font-face {
@font-face {
  font-family: nastaliq;
    font-family: nastaliq;
  src: url('/fonts/IranNastaliq.woff2') format('woff2');
    src: url('/fonts/IranNastaliq.woff2') format('woff2');
  font-weight: 900;
    font-weight: 900;
}
}


html, body {
html,
body {
     font-family: vazir;
     font-family: vazir;
}
}
.mw-body h1, .mw-body-content h1, .mw-body-content h2 {
 
font-family:vazir;
.mw-body h1,
font-weight:900;
.mw-body-content h1,
.mw-body-content h2 {
    font-family: vazir;
    font-weight: 900;
}
}
body.page-صفحهٔ_اصلی .mw-content-container {
body.page-صفحهٔ_اصلی .mw-content-container {
max-width:unset;
    max-width: unset;
min-width:85%;
    min-width: 85%;
}
}
body.page-صفحهٔ_اصلی #catlinks {
body.page-صفحهٔ_اصلی #catlinks {
     display: none;
     display: none;
خط ۴۶: خط ۵۲:


body.page-صفحهٔ_اصلی .mw-body .firstHeading {
body.page-صفحهٔ_اصلی .mw-body .firstHeading {
display:none;
    display: none;
}
 
.vector-body p {
    line-height: 33px;
}
 
.vector-body {
text-align:justify;
}
}


.bala {
.bala {
border:3px solid #bfbfbf;
    border: 3px solid #ccc;
border-radius:10px;
    border-radius: 10px;
background:url(/images/7/76/Back.jpg);
    background: url(/images/2/26/Background.png);
background-size:cover;
    background-size: 65% 100%;
padding:20px;
    background-repeat: no-repeat;
display:flex;
    background-position: left top;
box-shadow: 2px 3px #9acefe;
    padding: 20px;
height:184px;
    background-color: #eaf0e5;
    display: flex;
    height: 284px;
}
}
.logo-main {
.logo-main {
width:12%;
    width: 12%;
display:flex;
    display: flex;
align-items:center;
    align-items: center;
}
}
.intro {
.intro {
width: 88%;
    width: 34%;
margin:auto;
    text-align: center;
text-align:center
}
}
div#map {
div#map {
     margin-top: 45px;
     margin-top: 45px;
     margin-bottom: 40px;
     margin-bottom: 40px;
}
}
.body-r-l {
.body-r-l {
flex:100%;
    flex: 100%;
display:flex;
    display: flex;
margin-top:90px;
    margin-top: 90px;
}
}
.right-c {
.right-c {
flex:70%;
    flex: 50%;
border:3px solid #bfbfbf;
    border: 3px solid #bfbfbf;
border-radius:10px;
    border-radius: 10px;
margin-left:5px;
    margin-left: 5px;
     padding: 10px;
     padding: 10px;
     box-shadow: 2px 3px #9acefe;
     box-shadow: 2px 3px #9acefe;
}
}
 
.left-c {
.left-c {
flex:30%;
    flex: 50%;
border:3px solid #bfbfbf;
    border: 3px solid #bfbfbf;
margin-right:5px;
    margin-right: 5px;
border-radius:10px;
    border-radius: 10px;
     padding: 10px;
     padding: 10px;
     box-shadow: 2px 3px #9acefe;
     box-shadow: 2px 3px #9acefe;
}
}
.titr {
.titr {
     font-weight: 900;
     font-weight: 900;
     color:#fff;
     color: #000;
     padding-right:10px;
    text-align: center;
background: #9acefe;
     padding-right: 10px;
background: linear-gradient(90deg, #9acefe 24%, #0000f5 91%);
    background: #eaf0e5;
     border-right: 2px solid #9acefe;
    border: 2px solid #ccc;
     border-radius: 0px 15px 15px 0px;
    border-radius: 15px;
     border-top: 2px solid #9acefe;
    font-size: 18px;
     border-bottom: 2px solid #9acefe;
}
     font-size:18px;
 
 
 
/*باکس موضوعات*/
 
#sitelinks {
    margin: 50px 0;
}
 
#mainitem {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    margin: 35px 0 45px 0;
     flex-direction: row;
flex-wrap:wrap;
 
}
 
.item4 {
    background: #eaf0e5;
     border-radius: 15px;
     width: 27%;
    padding: 20px;
    margin: 10px;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    color: #000;
    height: 150px;
}
 
 
.item4 a:link {
    color: #000;
    font-size: 18px;
    text-decoration: none;
    padding: 0 0 10px 0;
}
 
.item4 a:visited {
    color: #000;
     text-decoration: none;
}
 
.item4 img {
    margin-bottom: 20px;
    width: 100px;
}
 
html.aui .search-holder-home {
    background-color: #00297c:
}
 
/* Responsive layout - makes a one column layout instead of a two-column layout */
 
 
 
 
@media (min-width: 700px) and (max-width: 904px) {
    #mainitem {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
 
    .item4 {
        width: 43%;
        height: 150px;
    }
 
    .item4 img {
        width: 15%;
    }
 
    .item4 a:link {
        font-size: 15px;
    }
 
}
 
@media (max-width: 699px) {
    #mainitem {
        flex-direction: column;
     }
 
    .item4 {
        width: 80%;
        height: 150px;
    }
 
    .item4 img {
        width: 15%;
    }
 
    .item4 a:link {
        font-size: 15px;
    }
 
    .bala {
        background-image: none;
    }
 
    .intro {
        width: 100%;
    }
 
    .logo-main {
        width: 0;
    }
}
}

نسخهٔ کنونی تا ‏۱۳ ژوئن ۲۰۲۶، ساعت ۱۶:۵۹

/* دستورات این بخش همهٔ کاربران را تحت تاثیر قرار می‌دهند. */
@font-face {
    font-family: vazir;
    src: url('/fonts/Vazir-FD.woff2') format('woff2');
    font-weight: 400;
}

@font-face {
    font-family: vazir;
    src: url('/fonts/Vazir-Medium-FD.woff2') format('woff2');
    font-weight: 600;
}

@font-face {
    font-family: vazir;
    src: url('/fonts/Vazir-Bold-FD.woff2') format('woff2');
    font-weight: 700;
}

@font-face {
    font-family: vazir;
    src: url('/fonts/Vazir-Black-FD.woff2') format('woff2');
    font-weight: 900;
}

@font-face {
    font-family: nastaliq;
    src: url('/fonts/IranNastaliq.woff2') format('woff2');
    font-weight: 900;
}

html,
body {
    font-family: vazir;
}

.mw-body h1,
.mw-body-content h1,
.mw-body-content h2 {
    font-family: vazir;
    font-weight: 900;
}

body.page-صفحهٔ_اصلی .mw-content-container {
    max-width: unset;
    min-width: 85%;
}

body.page-صفحهٔ_اصلی #catlinks {
    display: none;
}

body.page-صفحهٔ_اصلی .mw-body .firstHeading {
    display: none;
}

.vector-body p {
    line-height: 33px;
}

.vector-body {
	text-align:justify;
}

.bala {
    border: 3px solid #ccc;
    border-radius: 10px;
    background: url(/images/2/26/Background.png);
    background-size: 65% 100%;
    background-repeat: no-repeat;
    background-position: left top;
    padding: 20px;
    background-color: #eaf0e5;
    display: flex;
    height: 284px;
}

.logo-main {
    width: 12%;
    display: flex;
    align-items: center;
}

.intro {
    width: 34%;
    text-align: center;
}

div#map {
    margin-top: 45px;
    margin-bottom: 40px;
}

.body-r-l {
    flex: 100%;
    display: flex;
    margin-top: 90px;
}

.right-c {
    flex: 50%;
    border: 3px solid #bfbfbf;
    border-radius: 10px;
    margin-left: 5px;
    padding: 10px;
    box-shadow: 2px 3px #9acefe;
}

.left-c {
    flex: 50%;
    border: 3px solid #bfbfbf;
    margin-right: 5px;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 2px 3px #9acefe;
}

.titr {
    font-weight: 900;
    color: #000;
    text-align: center;
    padding-right: 10px;
    background: #eaf0e5;
    border: 2px solid #ccc;
    border-radius: 15px;
    font-size: 18px;
}



/*باکس موضوعات*/

#sitelinks {
    margin: 50px 0;
}

#mainitem {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    margin: 35px 0 45px 0;
    flex-direction: row;
flex-wrap:wrap;

}

.item4 {
    background: #eaf0e5;
    border-radius: 15px;
    width: 27%;
    padding: 20px;
    margin: 10px;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    color: #000;
    height: 150px;
}


.item4 a:link {
    color: #000;
    font-size: 18px;
    text-decoration: none;
    padding: 0 0 10px 0;
}

.item4 a:visited {
    color: #000;
    text-decoration: none;
}

.item4 img {
    margin-bottom: 20px;
    width: 100px;
}

html.aui .search-holder-home {
    background-color: #00297c:
}

/* Responsive layout - makes a one column layout instead of a two-column layout */




@media (min-width: 700px) and (max-width: 904px) {
    #mainitem {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .item4 {
        width: 43%;
        height: 150px;
    }

    .item4 img {
        width: 15%;
    }

    .item4 a:link {
        font-size: 15px;
    }

}

@media (max-width: 699px) {
    #mainitem {
        flex-direction: column;
    }

    .item4 {
        width: 80%;
        height: 150px;
    }

    .item4 img {
        width: 15%;
    }

    .item4 a:link {
        font-size: 15px;
    }

    .bala {
        background-image: none;
    }

    .intro {
        width: 100%;
    }

    .logo-main {
        width: 0;
    }
}